Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 977461 - PRD34 - [RFE] Even Distribution Policy by number of VMs
Summary: PRD34 - [RFE] Even Distribution Policy by number of VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Jiri Moskovcak
QA Contact: Artyom
URL: http://www.ovirt.org/Features/Even_VM...
Whiteboard: sla
Depends On:
Blocks: 1036749 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-06-24 15:41 UTC by Michael Everette
Modified: 2018-12-04 15:33 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
A new feature enables the Even Distribution Policy to evenly distribute virtual machines not only by overall load, but also by the number of virtual machines on each hypervisor.
Clone Of:
: 1036749 (view as bug list)
Environment:
Last Closed: 2014-06-09 14:59:40 UTC
oVirt Team: SLA
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC

Description Michael Everette 2013-06-24 15:41:03 UTC
1. Customer Name A. Richard Davis - PGDS UK Ltd
 
2. What is the nature and description of the request?
I would like the Even Distribution Policy to allow us to evenly distribute VM's not only by overall load but also by numbers of VM's on each hypervisor.

3. Why does the customer need this? (List the business requirements here)
A majority of our VM's are very small and mostly inactive in terms of load. This means we can potentially have a large proportion of our estate running on one or two hypervisors of the 10 or 12 available. This is obviously not a good thing in terms of high availability (i.e one hypervisor failure could expose 50% of our estate to fail)

4. How would the customer like to achieve this? (List the functional requirements here)
An additional option in the Even Distribution Policy for numbers of VM's per hypervisor within the load policy

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

6. Is there already an existing RFE upstream or in Red Hat bugzilla? 
No idea. They are all private. 

7. How quickly does this need resolved? (desired target release) 
3.3
 
8. List the affected packages
Sorry - No idea 

9. Would the customer be able to assist in testing this functionality if implemented?
You bet

Comment 1 Itamar Heim 2013-06-25 06:19:42 UTC
3.3 is planned to allow writing pluggable schedulers, which may be the way for such a request to be fulfilled

Comment 6 Artyom 2014-04-01 11:15:42 UTC
Verified on av5
Tcms Run https://tcms.engineering.redhat.com/run/124856/

Comment 7 Artyom 2014-04-01 11:16:00 UTC
Verified on av5
Tcms Run https://tcms.engineering.redhat.com/run/124856/

Comment 8 errata-xmlrpc 2014-06-09 14:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.